Table of Contents

## Name

pcitweak - read/write PCI config space

## Synopsis

pcitweak -l
pcitweak -r PCI-ID [-b|-h] offset
pcitweak -w PCI-ID [-b|-h] offset value

## Description

Pcitweak is a utility that can be used to examine or change registers in the PCI configuration space. On most platfoms pcitweak can only be run by the root user.

## Options

-l
  Probe the PCI buses and print a line for each detected device. Each line contains the bus location (bus:device:function), chip vendor/device, card (subsystem) vendor/card, revision, class and header type. All values printed are in hexadecimal.
-r PCI-ID
  Read the PCI configuration space register at offset for the PCI device at bus location PCI-ID. PCI-ID should be given in the form bus:device:function, with each value in hexadecimal. By default, a 32-bit register is read.
-w PCI-ID
  Write value to the PCI configuration space register at offset for the PCI device at bus location PCI-ID. PCI-ID should be given in the form bus:device:function, with each value in hexadecimal. By default, a 32-bit register is written.
-b
  Read or write an 8-bit value (byte).
-h
  Read or write a 16-bit value (halfword).

## See Also

scanpci(1)

## Authors

David Dawes (dawes@xfree86.org).

Table of Contents

- Name
- Synopsis
- Description
- Options
- See Also
- Authors